Package: io.vertx.groovy.servicediscovery.types

## [Groovy] Class RedisDataSource

- io.vertx.groovy.servicediscovery.types.RedisDataSource

- Service type for Redis data source.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `RedisDataSource (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static java.util.Map<java.lang.String, java.lang.Object>` | `createRecord(java.lang.String name, java.util.Map<java.lang.String, java.lang.Object> location, java.util.Map<java.lang.String, java.lang.Object> metadata)` Convenient method to create a record for a Redis data source.
    `java.lang.Object` | `getDelegate()`
    `static void` | `getRedisClient(ServiceDiscovery discovery, java.util.Map<java.lang.String, java.lang.Object> filter, io.vertx.core.Handler<io.vertx.core.AsyncResult<RedisClient>> resultHandler)` Convenient method that looks for a Redis data source and provides the configured RedisClient.
    `static void` | `getRedisClient(ServiceDiscovery discovery, java.util.Map<java.lang.String, java.lang.Object> filter, java.util.Map<java.lang.String, java.lang.Object> consumerConfiguration, io.vertx.core.Handler<io.vertx.core.AsyncResult<RedisClient>> resultHandler)` Convenient method that looks for a Redis data source and provides the configured RedisClient.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### RedisDataSource(java.lang.Object delegate)

  - ### Method Detail

    - #### static java.util.Map<java.lang.String, java.lang.Object> createRecord(java.lang.String name, java.util.Map<java.lang.String, java.lang.Object> location, java.util.Map<java.lang.String, java.lang.Object> metadata)

      Convenient method to create a record for a Redis data source.

      Returns:
        the created record (see Record)
      Parameters:
        `name` - the service name
        `location` - the location of the service (e.g. url, port...)
        `metadata` - additional metadata

    - #### java.lang.Object getDelegate()

    - #### static void getRedisClient(ServiceDiscovery discovery, java.util.Map<java.lang.String, java.lang.Object> filter, io.vertx.core.Handler<io.vertx.core.AsyncResult<RedisClient>> resultHandler)

      Convenient method that looks for a Redis data source and provides the configured RedisClient. The async result is marked as failed is there are no matching services, or if the lookup fails.

      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `resultHandler` - The result handler

    - #### static void getRedisClient(ServiceDiscovery discovery, java.util.Map<java.lang.String, java.lang.Object> filter, java.util.Map<java.lang.String, java.lang.Object> consumerConfiguration, io.vertx.core.Handler<io.vertx.core.AsyncResult<RedisClient>> resultHandler)

      Convenient method that looks for a Redis data source and provides the configured RedisClient. The async result is marked as failed is there are no matching services, or if the lookup fails.

      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `consumerConfiguration` - The additional consumer configuration
        `resultHandler` - The result handler